Package org.drinkless.tdlib

# Class TdApi.AnimatedChatPhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AnimatedChatPhoto

Enclosing class:
  `TdApi`

public static class TdApi.AnimatedChatPhoto extends TdApi.Object
Animated variant of a chat photo in MPEG4 format.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.File`
  `file`
  Information about the animation file.
  `int`
  `length`
  Animation width and height.
  `double`
  `mainFrameTimestamp`
  Timestamp of the frame, used as a static chat photo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnimatedChatPhoto()`
  Animated variant of a chat photo in MPEG4 format.
  `AnimatedChatPhoto(int length, TdApi.File file, double mainFrameTimestamp)`
  Animated variant of a chat photo in MPEG4 format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### length

    public int length
    Animation width and height.

  - ### file

    public TdApi.File file
    Information about the animation file.

  - ### mainFrameTimestamp

    public double mainFrameTimestamp
    Timestamp of the frame, used as a static chat photo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AnimatedChatPhoto

    public AnimatedChatPhoto()
    Animated variant of a chat photo in MPEG4 format.

  - ### AnimatedChatPhoto

    public AnimatedChatPhoto(int length, TdApi.File file, double mainFrameTimestamp)
    Animated variant of a chat photo in MPEG4 format.
    Parameters:
      `length` - Animation width and height.
      `file` - Information about the animation file.
      `mainFrameTimestamp` - Timestamp of the frame, used as a static chat photo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR